Summary:        Simple, fast, extensible JSON encoder/decoder for Python
Name:           python-simplejson
Version:        3.19.1
Release:        1%{?dist}
License:        (MIT or AFL) and (MIT or GPLv2)
URL:            https://github.com/simplejson/simplejson
Source0:        %{pypi_source simplejson}

%description
simplejson is a simple, fast, complete, correct and extensible JSON
<http://json.org> encoder and decoder for Python. 


%package -n python%{python3_pkgversion}-simplejson
Summary:       Simple, fast, extensible JSON encoder/decoder for Python
BuildRequires: gcc
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-pytest

%description -n python%{python3_pkgversion}-simplejson
simplejson is a simple, fast, complete, correct and extensible JSON
<http://json.org> encoder and decoder for Python. It is pure Python code
with no dependencies, but includes an optional C extension for a serious speed
boost.
The encoder may be subclassed to provide serialization in any kind of situation,
without any special support by the objects to be serialized (somewhat like pickle).
The decoder can handle incoming JSON strings of any specified encoding (UTF-8 by default).

simplejson is the externally maintained development version of the JSON library included
with Python. It gets updated more regularly than the JSON module in the Python stdlib.


%prep
%autosetup -n simplejson-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files simplejson


%check
%pytest


%files -n python%{python3_pkgversion}-simplejson -f %{pyproject_files}
%license LICENSE.txt


%changelog
* Tue Sep 26 2023 Shuo Wang <abushwang@tencent.com> - 3.19.1-1
- update to 3.19.1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.18.3-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.18.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.18.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.18.3-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 17 2023 rockerzhu <rockerzhu@tencent.com> - 3.18.3-1
- Initial build
